Closed Bug 1671539 Opened 7 months ago Closed 11 days ago

Intermittent [Fission] dom/base/test/test_bug1406102.html | intersectionRatio should be greater than zero

Categories

(Core :: Layout, defect)

defect

Tracking

()

RESOLVED FIXED
Fission Milestone M7a

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [layout:triage-discuss])

Filed by: nbeleuzu [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=318800933&repo=mozilla-central
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/GjVfgEtQQmCGE_F_axjCFg/runs/0/artifacts/public/logs/live_backing.log


[task 2020-10-16T04:17:40.140Z] 04:17:40     INFO - TEST-START | http://mochi.test:8888/tests/dom/base/test/test_bug1406102.html
[task 2020-10-16T04:17:40.231Z] 04:17:40     INFO - GECKO(1518) | [Child 4918, Main Thread] WARNING: Extra shutdown CC: 'i < NORMAL_SHUTDOWN_COLLECTIONS', file /builds/worker/checkouts/gecko/xpcom/base/nsCycleCollector.cpp:3359
[task 2020-10-16T04:17:40.289Z] 04:17:40     INFO - GECKO(1518) | [Child 4918, Main Thread] WARNING: NS_ENSURE_TRUE(Preferences::InitStaticMembers()) failed: file /builds/worker/checkouts/gecko/modules/libpref/Preferences.cpp:4287
[task 2020-10-16T04:17:40.330Z] 04:17:40     INFO - GECKO(1518) | [5026, Unnamed thread 7f509195d5e0] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/checkouts/gecko/xpcom/base/nsTraceRefcnt.cpp:202
[task 2020-10-16T04:17:40.330Z] 04:17:40     INFO - GECKO(1518) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmpGqOk9L.mozrunner/runtests_leaks.log
[task 2020-10-16T04:17:40.330Z] 04:17:40     INFO - GECKO(1518) | [5026, Unnamed thread 7f509195d5e0] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file /builds/worker/checkouts/gecko/xpcom/base/nsTraceRefcnt.cpp:202
[task 2020-10-16T04:17:40.330Z] 04:17:40     INFO - GECKO(1518) | [5026, Main Thread] WARNING: XPCOM_MEM_BLOAT_LOG is set, disabling native allocations.: file /builds/worker/checkouts/gecko/tools/profiler/core/platform.cpp:247
[task 2020-10-16T04:17:40.355Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: QuotaManager failure: 'OkIf(outputStream)', file ActorsParent.cpp:2522
[task 2020-10-16T04:17:40.356Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: QuotaManager failure: 'GetBinaryOutputStream(*file, kUpdateFileFlag)', file ActorsParent.cpp:8340
[task 2020-10-16T04:17:40.356Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp:8204
[task 2020-10-16T04:17:40.365Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp:8114
[task 2020-10-16T04:17:40.365Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: QuotaManager failure: 'OkIf(outputStream)', file ActorsParent.cpp:2522
[task 2020-10-16T04:17:40.366Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: QuotaManager failure: 'GetBinaryOutputStream(*file, kUpdateFileFlag)', file ActorsParent.cpp:8340
[task 2020-10-16T04:17:40.366Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp:8204
[task 2020-10-16T04:17:40.366Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp:8114
[task 2020-10-16T04:17:40.443Z] 04:17:40     INFO - GECKO(1518) | [Child 5026, Main Thread] WARNING: could not set real-time limit in CubebUtils::InitLibrary: file /builds/worker/checkouts/gecko/dom/media/CubebUtils.cpp:626
[task 2020-10-16T04:17:40.499Z] 04:17:40     INFO - TEST-INFO | started process screentopng
[task 2020-10-16T04:17:40.850Z] 04:17:40     INFO - TEST-INFO | screentopng: exit 0
[task 2020-10-16T04:17:40.850Z] 04:17:40     INFO - TEST-UNEXPECTED-FAIL | dom/base/test/test_bug1406102.html | intersectionRatio should be greater than zero 
[task 2020-10-16T04:17:40.850Z] 04:17:40     INFO -     SimpleTest.ok@SimpleTest/SimpleTest.js:417:16
[task 2020-10-16T04:17:40.850Z] 04:17:40     INFO -     observer<@dom/base/test/test_bug1406102.html?currentTestURL=dom%2Fbase%2Ftest%2Ftest_bug1406102.html&closeWhenDone=1&showTestReport=false&expected=pass:27:7
[task 2020-10-16T04:17:40.851Z] 04:17:40     INFO - GECKO(1518) | MEMORY STAT | vsize 2558MB | residentFast 158MB | heapAllocated 9MB
[task 2020-10-16T04:17:40.851Z] 04:17:40     INFO - TEST-PASS | dom/base/test/test_bug1406102.html | intersectionRatio should be greater than zero 
[task 2020-10-16T04:17:40.852Z] 04:17:40    ERROR - Command structuredLogger.error not found
[task 2020-10-16T04:17:40.852Z] 04:17:40    ERROR -       in xOriginDispatchMap
[task 2020-10-16T04:17:40.852Z] 04:17:40     INFO - TEST-UNEXPECTED-ERROR | http://mochi.test:8888/tests/dom/base/test/test_bug1406102.html | called finish() multiple times
[task 2020-10-16T04:17:40.853Z] 04:17:40     INFO - TEST-INFO took 468ms
[task 2020-10-16T04:17:40.853Z] 04:17:40     INFO - TEST-OK | http://mochi.test:8888/tests/dom/base/test/test_bug1406102.html
[task 2020-10-16T04:17:40.854Z] 04:17:40     INFO - GECKO(1518) | [Parent 1518, Main Thread] WARNING: IPC message discarded: actor cannot send: file /builds/worker/workspace/obj-build/dist/include/mozilla/ipc/ProtocolUtils.h:295
[task 2020-10-16T04:17:40.855Z] 04:17:40     INFO - GECKO(1518) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost```
Summary: Intermittent [Tier2] dom/base/test/test_bug1406102.html | intersectionRatio should be greater than zero → Intermittent [Fission] dom/base/test/test_bug1406102.html | intersectionRatio should be greater than zero

ahal hit this test failure multiple times when trying to enable mochitest-plain in fission-xorigin mode on more platforms in bug 1694835:

https://treeherder.mozilla.org/jobs?repo=try&revision=a4813c46eff128482994870bf8a06677022cee24&selectedTaskRun=OrW1ws-wTH6pAfP9kTTeKg.0

Blocks: 1700781
Fission Milestone: --- → M7a
Priority: P5 → P3

test_bug1406102.html is a test for IntersectionObserver, so move to Layout.

Component: DOM: Core & HTML → Layout

Sending this bug to Layout triage. The Fission team hit this test failure multiple times when trying to enable mochitest-plain in fission-xorigin mode on more platforms in bug 1694835, so Fission and/or xorigin mode might make this infrequent intermittent failure (about 5-15 failures per week) more frequent.

https://treeherder.mozilla.org/jobs?repo=try&revision=a4813c46eff128482994870bf8a06677022cee24&selectedTaskRun=OrW1ws-wTH6pAfP9kTTeKg.0

See also bug 1694536 about intermittent IntersectionObserver test test_bug1399605.html failing more frequently in fission-xorigin mode.

Severity: normal → --
Priority: P3 → --
See Also: → 1694536
Whiteboard: [layout:triage-discuss]

As in bug 1694536, it looks like we've gone weeks without any failure reports here.

Here's a graph of failures since the start of the year -- the most recent report here was on March 25, nearly 6 weeks ago:
https://treeherder.mozilla.org/intermittent-failures/bugdetails?bug=1671539&startday=2021-01-01&endday=2021-05-04&tree=all

Maybe this is fixed? (Seems like it'd either be that, or this could be due to something like us disabling/changing the affected platform/configuration around March 25 -- cpeterson, do you know of any changes like that which could indicate that this is still an issue & we're just not getting the signal?)

Flags: needinfo?(cpeterson)

(In reply to Daniel Holbert [:dholbert] from comment #27)

Maybe this is fixed? (Seems like it'd either be that, or this could be due to something like us disabling/changing the affected platform/configuration around March 25 -- cpeterson, do you know of any changes like that which could indicate that this is still an issue & we're just not getting the signal?)

The sudden disappearance of the test failure in that graph is quite interesting! I don't see any bugs that landed around that time which might have fixed this, but I will resolve this bug as "fixed" for now.

Status: NEW → RESOLVED
Closed: 11 days ago
Flags: needinfo?(cpeterson)
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.